VelocityReport Plugin - Defect #1581

Foreign text not rendering in PDF
11/29/2021 02:42 PM - Sanneke Aleman

Status: Rejected Start date: 11/29/2021
Priority: Normal Due date:

Assignee: Patrick Talbot % Done: 0%
Category: velocity Estimated time: 0.00 hour
Target version: v3.0

Browser (if web Chrome

client):

Description

If we use text like '000000000000000000000000000D it is not rendered to the pdf. Could this be that the plugin uses an old
version of iText that doesn't support UTF_87?
If we just look at the html file output it looks fine. So it is not the font.

History

#1 - 11/29/2021 04:12 PM - Patrick Talbot

| think the problem is more in the xhtmIRenderer library (Flying Saucer), because this text is not displayed in preview either.

I'm using the last version of this library (same that Servoy is using: lib/fs-commons & fs-parser - for css and html parsing), and I'm afraid there's no
new release with fixes.

On my end, I'm using UTF-8 across the board (which is the standard for Java String anyway), so I'm not sure I'll be able to fix the issue as this looks
like the problem lies deep in the rendering code.

#2 - 11/29/2021 04:18 PM - Sanneke Aleman

Thanks for your fast reaction. | think | will move the pdf rendering to angular :
https://remotestack.io/how-to-convert-html-into-pdf-document-in-angular/

#3 - 03/09/2023 11:28 PM - Patrick Talbot

- Status changed from New to Rejected
